import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { OperadorController } from './operador.controller';
import { OperadorService } from './operador.service';
import { Operador } from './entity/operador.entity';
import { BcryptModule } from '../bcrypt/bcrypt.module';
import { InstitucionModule } from '../institucion/institucion.module';
import { TipoUsuarioModule } from '../tipo-usuario/tipo-usuario.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([Operador]),
    BcryptModule,
    PassportModule.register({ defaultStrategy: 'jwt' }),
    InstitucionModule,
    TipoUsuarioModule,
  ],
  controllers: [OperadorController],
  providers: [OperadorService],
  exports: [OperadorService],
})
export class OperadorModule {}
