import {
  IsDateString,
  IsNumberString,
  IsOptional,
  IsString,
} from 'class-validator';

export class PrestamoHistorialDto {
  @IsNumberString()
  pagina: string;

  @IsString()
  @IsOptional()
  carrito?: string;

  @IsString()
  @IsOptional()
  equipo?: string;

  @IsDateString()
  @IsOptional()
  fechaFin?: string;

  @IsDateString()
  @IsOptional()
  fechaInicio?: string;

  @IsNumberString()
  @IsOptional()
  id_institucion?: string;

  @IsNumberString()
  @IsOptional()
  id_modulo?: string;

  @IsNumberString()
  @IsOptional()
  id_prestamo?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_carrito?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_usuario?: string;

  @IsString()
  @IsOptional()
  usuario?: string;
}
